#
# spec file for package zmd-inventory (Version 7.1.1.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dbus-1-mono desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig freetype2 gawk gcc gdbm gdbm-devel gettext gettext-devel giflib glib2 glib2-devel glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo hwinfo-devel info insserv klogd less libacl libattr libcom_err libgcc libgdiplus libicu libidn libjpeg libnscd libpng libstdc++ libtiff libtool libusb libxcrypt libxml2 libzio libzypp libzypp-zmd-backend log4net m4 make man mktemp module-init-tools mono-basic mono-core mono-data mono-data-sqlite mono-devel mono-web mono-winforms ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-XML-Parser perl-XML-Writer permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed sqlite sqlite2 strace sysfsutils sysvinit tar tcpd texinfo timezone udev unzip update-desktop-files util-linux vim wireless-tools xorg-x11-libs zlib zlib-devel zmd zmd-devel

Name:           zmd-inventory
BuildRequires:  hwinfo-devel log4net mono-basic mono-data-sqlite mono-devel update-desktop-files zmd-devel
URL:            http://www.novell.com
Version:        7.1.1.0
Release:        8.9
License:        LGPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %name-%version.tar.bz2
Summary:        Novell ZENworks Linux Management daemon
Group:          System/Daemons
Autoreqprov:    on

%description
The ZENworks daemon contains modules that execute various software
management functions. Instructions are either available or provided by
the ZLM server. The daemon is accessible from the ZLM CLI "rug" as well
as the ZLM GUI.



Authors:
--------
    Tambet Ingo <tambet@ximian.com>
    Joe Shaw <joe@ximian.com>
    James Willcox <james@ximian.com>

%debug_package
%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="-w" \
./configure 	--prefix=%_prefix \
		--libdir=%_libdir \
		--sysconfdir=%_sysconfdir \
		--mandir=%_mandir
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_prefix}/sbin/*
%{_prefix}/lib/zmd/modules/*

%changelog -n zmd-inventory
* Tue Jun 27 2006 - thunder@suse.de
- New drop (r31266):
- Use 'hwinfo --all --nowpa' instead of 'hwinfo --reallyall' (#186923).
* Tue Jun 20 2006 - thunder@suse.de
- New drop (r30734):
- Wait 30000 milliseconds for hwinfo, up from 3000. (#189582)
* Sat Jun 17 2006 - thunder@suse.de
- New source drop (r30603):
- Deal correctly with network interfaces which don't have any IPs
  assigned (#185919).
- Don't erroneously send available patches and products as installed
  resolvables.
- Add parsing of mount points for logical disks.
* Fri Jun 09 2006 - maw@suse.de
- New source drop (r30090) which:
- Implements hardware inventory for Novell Update services. #155824
* Thu Jun 01 2006 - maw@suse.de
- New source drop (r29477) which:
- Implements software inventory for Novell Update services.
* Fri Apr 07 2006 - thunder@suse.de
- New source drop (svn r26837):
- Fix so it builds with latest zmd.
- Version is now 7.1.1.0.
* Sat Feb 25 2006 - aj@suse.de
- Reduce BuildRequires.
* Thu Feb 09 2006 - maw@suse.de
- New source drop.
* Sat Feb 04 2006 - maw@suse.de
- New source drop.
* Mon Jan 30 2006 - thunder@suse.de
- New source drop.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 17 2006 - thunder@suse.de
- Add prefix/sbin/* to files list to catch unpackaged file.
* Tue Jan 17 2006 - thunder@suse.de
- Add build dep on hwinfo-devel.
* Tue Jan 17 2006 - thunder@suse.de
- Remove build-dependency on gtk-sharp2.
* Tue Jan 17 2006 - thunder@suse.de
- Add build-dependency on zmd-devel.
* Mon Jan 16 2006 - thunder@suse.de
- Initial check-in of inventory module.
